summaryrefslogtreecommitdiffstats
path: root/libraries/SQLObject/SQLObject.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/SQLObject/SQLObject.SlackBuild')
-rw-r--r--libraries/SQLObject/SQLObject.SlackBuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/libraries/SQLObject/SQLObject.SlackBuild b/libraries/SQLObject/SQLObject.SlackBuild
new file mode 100644
index 0000000000..0c7d3a9a79
--- /dev/null
+++ b/libraries/SQLObject/SQLObject.SlackBuild
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+# Slackware build script for SQLObject
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=SQLObject
+VERSION=${VERSION:-0.10.4}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a PKG-INFO README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz